Subject: Re: [ANNOUCNE] GIT 1.1.0

From: "H. Peter Anvin" <[email-masked]>
Date: Mon, 09 Jan 2006 18:00:49 -0800

Junio C Hamano wrote:
> lamikr <[email-masked]> writes:
> 
>>Did you mean that things should work after 1.1.1 is released?
>>I tried to fresh build and install of 1.1.0 on top of the previous
>>1.1.0 build but "git --version" is still displaying me "git version 1.0.GIT"
> 
> You need to build from a git repository for these automated
> version numbers to work, and this will *not* change post 1.1.1.
> 

Tarballs really should work as-is... the easy way to deal with that is 
to have the tarball make script generate a version file which isn't part 
of the git tree.

I'll send a patch under a separate cover.

	-hpa